﻿/*typeface*/

.regular-weight, .input4-regular {
    font-weight: 400;
}

.medium-weight, .label1-medium, .input1-medium, .input3-medium, .btn1-medium {
    font-weight: 500;
}

.text-capital, .label1-medium {
    text-transform: uppercase;
}

.h4-text {
    line-height: 120%;
    font-size: 24px;
    letter-spacing: 0px;
}

.h6-text {
    line-height: 120%;
    font-size: 20px;
    letter-spacing: 0px;
}

.h7-text {
    line-height: 120%;
    font-size: 18px;
    letter-spacing: 0px;
}

.h8-text {
    line-height: 120%;
    font-size: 16px;
    letter-spacing: 0px;
}

.b4-text {
    line-height: 120%;
    font-size: 20px;
    letter-spacing: 0px;
}

.b5-text {
    line-height: 120%;
    font-size: 18px;
    letter-spacing: 0px;
}

.b6-text {
    line-height: 120%;
    font-size: 16px;
    letter-spacing: 0px;
}

.b7-text, .input1-medium, .input2-regular, .btn1-medium {
    line-height: 120%;
    font-size: 14px;
    letter-spacing: 0px;
}

.b8-text {
    line-height: 120%;
    font-size: 13px;
    letter-spacing: 0px;
}

.b9-text, .input3-medium, .input4-regular {
    line-height: 120%;
    font-size: 12px;
    letter-spacing: 0px;
}

.b10-text, .label1-medium, .label2-regular {
    line-height: 120%;
    font-size: 10px;
    letter-spacing: 0px;
}

.b11-text {
    line-height: 120%;
    font-size: 8px;
    letter-spacing: 0px;
}

.b12-text {
    line-height: 120%;
    font-size: 6px;
    letter-spacing: 0px;
}

.microcopy-text-1 {
    line-height: 120%;
    font-size: 14px;
    letter-spacing: 0px;
    text-transform: capitalize;
}

.microcopy-text-2 {
    line-height: 120%;
    font-size: 12px;
    letter-spacing: 0px;
    text-transform: capitalize;
}

/*text-colors*/

.text-black, .input2-regular {
    color: #000000;
}

.text-trout {
    color: #494F59;
}

.text-regent-gray {
    color: #7F8A9A;
}

.text-hippie-blue, .label1-medium, .label2-regular {
    color: #6794B7 !important;
}

.text-link-water {
    color: #D0E2F1;
}

.text-foam {
    color: #F3F9FE;
}

.text-white {
    color: #FFFFFF;
}

.text-blumine {
    color: #1F5E8C;
}

.text-cerulean, .input3-medium {
    color: #00a0ff !important;
}

.text-moody-blue {
    color: #7E71D0;
}

.text-carnation {
    color: #F56363;
}

.text-ecstacy {
    color: #F88216;
}

.text-sun {
    color: #FBB80E;
}

.text-mantis {
    color: #73D071;
}

.text-zomp {
    color: #6EA9A5;
}

.text-robin-blue {
    color: #29CACA;
}

.text-darkgreyish {
    color: #707782;
}

.text-mantis {
    color: #73D071;
}

.text-pearl-aqua {
    color: #8FC1BE;
}

.text-italize {
    font-style: italic;
}



/*bg-colors*/

.bg-black {
    background-color: #000000;
}

.bg-trout {
    background-color: #494F59;
}

.bg-regent-gray {
    background-color: #7F8A9A;
}

.bg-hippie-blue {
    background-color: #6794B7;
}

.bg-link-water {
    background-color: #D0E2F1;
}

.bg-foam {
    background-color: #F3F9FE;
}

.bg-white {
    background-color: #FFFFFF;
}

.bg-blumine {
    background-color: #1F5E8C;
}

.bg-cerulean {
    background-color: #2096EB;
}

.bg-moody-blue {
    background-color: #7E71D0;
}

.bg-carnation {
    background-color: #F56363;
}

.bg-ecstacy {
    background-color: #F88216;
}

.bg-sun {
    background-color: #FBB80E;
}

.bg-mantis {
    background-color: #73D071;
}

.bg-zomp {
   background-color: #6EA9A5;
}

.bg-robin-blue {
    background-color: #29CACA;
}

.bg-darkgreyish {
    background-color: #707782;
}

.bg-mantis {
    background-color: #73D071;
}

.bg-aqua {
    background-color: #38C1CA;
}
/*border-colors*/
.border-color-black {
    border-color: #000000;
}

.border-color-trout {
    border-color: #494F59;
}

.border-color-regent-gray {
    border-color: #7F8A9A;
}

.border-color-hippie-blue {
    border-color: #6794B7;
}

.border-color-link-water {
    border-color: #D0E2F1;
}

.border-color-foam {
    border-color: #F3F9FE;
}

.border-color-white {
    border-color: #FFFFFF;
}

.border-color-blumine {
    border-color: #1F5E8C;
}

.border-color-cerulean {
    border-color: #2096EB;
}

.border-color-moody-blue {
    border-color: #7E71D0;
}

.border-color-carnation {
    border-color: #F56363;
}

.border-color-ecstacy {
    border-color: #F88216;
}

.border-color-sun {
    border-color: #FBB80E;
}

.border-color-mantis {
    border-color: #73D071;
}

/*border radius*/

.border-radius-2 {
    border-radius: 2px !important;
}

.border-radius-4 {
    border-radius: 4px !important;
}

.border-radius-8 {
    border-radius: 8px !important;
}

.border-radius-16 {
    border-radius: 16px !important;
}

.border-radius-19 {
    border-radius: 19px !important;
}

.border-radius-28 {
    border-radius: 28px !important;
}

.border-bottom-water-link {
    border-bottom: solid 1px #D0E2F1 !important;
}

.border-radius-1000 {
    border-radius: 1000px !important;
}

.flex-1 {
    flex:1;
}

.flex-2 {
    flex: 2;
}

.flex-3 {
    flex: 3;
}

.flex-4 {
    flex: 4;
}

.flex-5 {
    flex: 5;
}

.gap-4px {
    gap: 4px;
}

.gap-6 {
    gap: 6px;
}

.gap-8 {
    gap: 8px;
}

.gap-12 {
    gap: 12px;
}

.gap-24 {
    gap: 24px;
}


.min-w-175 {
    min-width: 175px;
    width: 175px;
}

.button-global {
    height: 40px;
    padding: 0px 16px;
    font-size: 14px;
    color: #fff;
    font-weight: 500;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    transition: ease-in 0.3s;
}

.button-global.default {
    background: #2096EB;
}

.button-global.default:hover {
    background: #00a0ff;
}

.button-global.light {
    background: #F8F9FA;
    color: #2096EB;
    width: auto;
}

.button-global.light:hover {
    background: #DFE0E1;
    color: #000000;
}

.button-global.delete {
    background: #F56363;
}

.button-global.delete:hover {
    background: #F67272;
}

.button-global.success {
    background: #73D071;
}

.button-global.success:hover {
    background: #81D47F;
}

.button-global.out-line {
    border: solid 1px #2096EB;
    background-color: transparent;
    color: #2096EB;
}

.button-global.out-line:hover {
    background-color: #2096EB;
    color: #ffff;
}

.button-global.clear-btn {
    background-color: transparent;
    color: #F56363;
}

.button-global.text-btn {
    background-color: transparent;
    color: #2096EB;
    height: auto !important;
}

.button-global.disable {
    opacity: 0.7;
}

.padding-12 {
    padding:12px;
}

.padding-8 {
    padding: 8px;
}

/* Fields */

.hcm-fields {
    background-color: #F3F9FE;
    padding: 11px 10px;
    height: 40px;
    display: flex;
    align-items: center;
}


    .hcm-fields input {
        background-color: transparent;
        border: 0;
        width: 100%;
        outline: 0;
        font-size: 14px;
        color: #000000;
        font-weight: 500;
    }

    .hcm-fields textarea {
        font-size: 14px;
        color: #000000;
        font-weight: 500;
        opacity:1;
    }

.hcm-fields input::placeholder,
.hcm-fields textarea::placeholder{
    color: #6794B7;
    font-weight: 400;
}

.hcm-fields input:disabled {
    opacity: 1 !important;
}

.hcm-fields.hcm-icon {
display: flex;
align-items: center;
gap: 8px;
}

.hcm-fields.hcm-icon {
font-size: 14px;
color: #1D98B9;
    }

.hcm-fields input[type="date"] {
position: relative;
text-transform: uppercase;
}

.hcm-fields input[type="date"]::-webkit-calendar-picker-indicator {
    color: transparent;
    background: none;
    z-index: 1;
}

.hcm-fields input[type="date"]::before {
    color: transparent;
    background: none;
    display: block;
    font-family: 'FontAwesome';
    content: '\f073';
    width: 15px;
    height: 20px;
    position: absolute;
    right: 0;
    color: #1D98B9;
}

.hcm-fields input[type="time"]::-webkit-calendar-picker-indicator {
    filter: invert(50%) sepia(91%) saturate(2187%) hue-rotate(181deg) brightness(94%) contrast(95%);
}

.hcm-fields.bg-transparent input[type="date"]::before {
    content: '';
}

.hcm-fields select {
    width: 100%;
    background: url(/images/Svg/dropdown-chevron.svg) transparent no-repeat 100%;
    border: 0;
    outline: 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-size: 14px;
    color: #494F59;
    font-weight: 500;
}

.hcm-fields select::-ms-expand {
    display: none;
}


.hcm-fields select option {
    list-style: none;
}


.hcm-fields.hcm-border-bottom {
    border-bottom: solid 1px;
}


.hcm-fields.hcm-border-bottom.default {
    border-color: #D0E2F1;
}

.hcm-fields.hcm-border-bottom.required {
    border-color: #1D98B9;
}

.icon-sm {
    display: flex !important;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    font-size: 8.75px;
    width: 24px;
    height: 24px;
}

.icon-md {
    display: flex !important;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    font-size: 18px;
    width: 32px;
    height: 32px;
}

.icon-lg {
    display: flex !important;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    font-size: 16px;
    width: 40px;
    height: 40px;
}

.icon-outline {
    border: solid 1px;
}

.validation-message {
    font-size: 10px;
    color: #F56363;
}

.login-wrapper {
    padding: 40px;
    border-radius: 18px;
    min-width: 482px;
    min-height: 557px;
}

.bg-color-white {
    background: #FFFFFF;
}